package com.unipi.talepis.protal2021_2;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity3 extends AppCompatActivity {
    SQLiteDatabase db;
    EditText editTextID,editTextName;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main3);
        editTextID = findViewById(R.id.editTextTextPersonName2);
        editTextName = findViewById(R.id.editTextTextPersonName3);
        db = openOrCreateDatabase("DB1",MODE_PRIVATE,null);
        db.execSQL("CREATE TABLE IF NOT EXISTS USER(user_id TEXT,user_name TEXT)");
        db.execSQL("INSERT OR IGNORE INTO USER VALUES('1','JOHN')");
        db.execSQL("INSERT OR IGNORE INTO USER VALUES('2','MARIA')");
    }
    public void insert(View view){
        String id = editTextID.getText().toString();// or 1=1 --
        String name = editTextName.getText().toString();
        db.execSQL("INSERT INTO USER VALUES(?,?)",new String[]{id,name});
        Toast.makeText(this,"done",Toast.LENGTH_LONG).show();
    }
    public void select(View view){
        Cursor cursor = db.rawQuery("SELECT * FROM USER",null);
        StringBuilder builder = new StringBuilder();
        while (cursor.moveToNext()){
            builder.append("ID:").append(cursor.getString(0)).append("\n");
            builder.append("Name:").append(cursor.getString(1)).append("\n");
            builder.append("---------------\n");
        }
        new AlertDialog.Builder(this)
                .setCancelable(true)
                .setTitle("User records")
                .setMessage(builder.toString())
                .show();
    }
}